/// Supported language tags (as keys)
/// and names in english and in original (as values)
Map<String, String> languageTagsAndNames = const {
  'af-ZA': 'Afrikaans (Suid-Afrika) / Afrikaans (South Africa)',
  'az-AZ': 'Azərbaycan (Azərbaycan) / Azerbaijani (Azerbaijan)',
  'id-ID': 'Bahasa Indonesia (Indonesia) / Indonesian (Indonesia)',
  'ms-MY': 'Bahasa Melayu (Malaysia) / Malay (Malaysia)',
  'bs-BA': 'Bosanski (Bosna i Hercegovina) / Bosnian (Bosnia and Herzegovina)',
  'ca-ES': 'Català (Espanya) / Catalan (Spain)',
  'cy-GB': 'Cymraeg (Y Deyrnas Unedig) / Welsh (United Kingdom)',
  'da-DK': 'Dansk (Danmark) / Danish (Denmark)',
  'de-DE': 'Deutsch (Deutschland) / German (Germany)',
  'de-CH': 'Deutsch (Schweiz) / German (Switzerland)',
  'de-AT': 'Deutsch (Österreich) / German (Austria)',
  'et-EE': 'Eesti (Eesti) / Estonian (Estonia)',
  'en-AU': 'English (Australia) / English (Australia)',
  'en-CA': 'English (Canada) / English (Canada)',
  'en-IE': 'English (Ireland) / English (Ireland)',
  'en-NZ': 'English (New Zealand) / English (New Zealand)',
  'en-GB': 'English (United Kingdom) / English (United Kingdom)',
  'en-US': 'English (United States) / English (United States)',
  'es-AR': 'Español (Argentina) / Spanish (Argentina)',
  'es-CL': 'Español (Chile) / Spanish (Chile)',
  'es-CO': 'Español (Colombia) / Spanish (Colombia)',
  'es-CR': 'Español (Costa Rica) / Spanish (Costa Rica)',
  'es-ES': 'Español (España) / Spanish (Spain)',
  'es-MX': 'Español (México) / Spanish (Mexico)',
  'es-PA': 'Español (Panamá) / Spanish (Panama)',
  'es-PE': 'Español (Perú) / Spanish (Peru)',
  'es-VE': 'Español (Venezuela) / Spanish (Venezuela)',
  'fil-PH': 'Filipino (Pilipinas) / Filipino (Philippines)',
  'fr-CA': 'Français (Canada) / French (Canada)',
  'fr-FR': 'Français (France) / French (France)',
  'gl-ES': 'Galego (España) / Galician (Spain)',
  'hr-HR': 'Hrvatski (Hrvatska) / Croatian (Croatia)',
  'it-IT': 'Italiano (Italia) / Italian (Italy)',
  'it-CH': 'Italiano (Svizzera) / Italian (Switzerland)',
  'sw-KE': 'Kiswahili (Kenya) / Swahili (Kenya)',
  'lv-LV': 'Latviešu (Latvija) / Latvian (Latvia)',
  'lt-LT': 'Lietuvių (Lietuva) / Lithuanian (Lithuania)',
  'hu-HU': 'Magyar (Magyarország) / Hungarian (Hungary)',
  'nl-NL': 'Nederlands (Nederland) / Dutch (Netherlands)',
  'nb-NO': 'Norsk Bokmål (Norge) / Norwegian Bokmål (Norway)',
  'nn-NO': 'Nynorsk (Noreg) / Norwegian Nynorsk (Norway)',
  'pl-PL': 'Polski (Polska) / Polish (Poland)',
  'pt-BR': 'Português (Brasil) / Portuguese (Brazil)',
  'pt-PT': 'Português (Portugal) / Portuguese (Portugal)',
  'ro-RO': 'Română (România) / Romanian (Romania)',
  'sq-AL': 'Shqip (Shqipëri) / Albanian (Albania)',
  'sk-SK': 'Slovenčina (Slovensko) / Slovak (Slovakia)',
  'sl-SI': 'Slovenščina (Slovenija) / Slovenian (Slovenia)',
  'sr-RS': 'Srpski (Srbija) / Serbian (Serbia)',
  'fi-FI': 'Suomi (Suomi) / Finnish (Finland)',
  'sv-SE': 'Svenska (Sverige) / Swedish (Sweden)',
  'vi-VN': 'Tiếng Việt (Việt Nam) / Vietnamese (Vietnam)',
  'tr-TR': 'Türkçe (Türkiye) / Turkish (Turkey)',
  'is-IS': 'íslenska (Ísland) / Icelandic (Iceland)',
  'cs-CZ': 'čeština (Česká republika) / Czech (Czech Republic/ Czechia)',
  'el-GR': 'Ελληνικά (Ελλάδα) / Greek (Greece)',
  'be-BY': 'беларуская (Беларусь) / Belarusian (Belarus)',
  'bg-BG': 'български (България) / Bulgarian (Bulgaria)',
  'mk-MK': 'македонски (Македонија) / Macedonian (Macedonia)',
  'mn-MN': 'монгол (Монгол) / Mongolian (Mongolia)',
  'ru-RU': 'русский (Россия) / Russian (Russia)',
  'uk-UA': 'українська (Україна) / Ukrainian (Ukraine)',
  'he-IL': 'עברית (ישראל) / Hebrew (Israel)',
  'ar-DZ': 'العربية (الجزائر) / Arabic (Algeria)',
  'ar-KW': 'العربية (الكويت) / Arabic (Kuwait)',
  'ar-MA': 'العربية (المغرب) / Arabic (Morocco)',
  'ar-SA': 'العربية (المملكة العربية السعودية) / Arabic (Saudi Arabia)',
  'ar-EG': 'العربية (مصر) / Arabic (Egypt)',
  'fa-IR': 'فارسی (ایران) / Persian (Iran)',
  'hi-IN': 'हिंदी (भारत) / Hindi (India)',
  'bn-BD': 'বাংলা (বাংলাদেশ) / Bengali (Bangladesh)',
  'gu-IN': 'ગુજરાતી (ભારત) / Gujarati (India)',
  'th-TH': 'ไทย (ไทย) / Thai (Thailand)',
  'lo-LA': 'ລາວ (ລາວ) / Lao (Laos)',
  'ka-GE': 'ქართული (საქართველო) / Georgian (Georgia)',
  'km-KH': 'ខ្មែរ (កម្ពុជា) / Khmer (Cambodia)',
  'zh-CN': '中文 (中国) / Chinese (China)',
  'zh-HK': '中文 (中華人民共和國香港特別行政區) / Chinese (Hong Kong SAR China)',
  'zh-TW': '中文 (台灣) / Chinese (Taiwan)',
  'ja-JP': '日本語 (日本) / Japanese (Japan)',
  'ko-KR': '한국어 (대한민국) / Korean (South Korea)'
};
